.canvas-dialog {
    opacity: 0;
    visibility: hidden;
    position: fixed;
    z-index: 2;
    padding: @grid-gutter-width;
    overflow-y: auto;

    &__right {
        top: 0;
        right: 0;
        bottom: 0;
        transform: translateX(100%);

        @media (max-width: @screen-xs-max) {
            width: auto !important;
            left: 0;
        }

        body.admin-tools-visible & {
            top: 53px;
        }
    }

    &__close-btn {
        position: absolute;
        top: @grid-gutter-width;
        right: @grid-gutter-width;
        background: none;
        border: none;
    }
}

.canvas-dialog__page-fade {
    opacity: 0;
    visibility: hidden;
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    z-index: -1;
    background: rgba(#fff, .7);
    transition: all .15s;

    @supports (-webkit-backdrop-filter: none) or (backdrop-filter: none) {
        backdrop-filter: blur(4px);
    }
}
